// SPDX-License-Identifier: Unlicense

#ifndef MODEL_H
#define MODEL_H

#include "configuration.h"

#ifdef SHR3D_ENVIRONMENT_MODEL

struct mat4;

namespace Model
{
  void init();
  void tick();
  void render(const mat4& viewProjectionMat);
}
#endif // SHR3D_ENVIRONMENT_MODEL

#endif // MODEL_H