/* ========================================
 *  Console5DarkCh - Console5DarkCh.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __Console5DarkCh_Console5DarkCh_H
#define __Console5DarkCh_Console5DarkCh_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::Console5DarkCh {
enum {
	kParamA = 0,
  kNumParameters = 1
}; //


class Console5DarkCh final : public AirwinConsolidatedBase
{
public:
    Console5DarkCh();
    ~Console5DarkCh();
    void processReplacing (float** inputs, float** outputs, VstInt32 sampleFrames) override;
    float getParameter(VstInt32 index) override;
    void setParameter(VstInt32 index, float value) override;
    void getParameterLabel(VstInt32 index, char *text) override;
    void getParameterName(VstInt32 index, char *text) override;
    void getParameterDisplay(VstInt32 index, char *text) override;
private:
    char _programName[kVstMaxProgNameLen + 1];
    
	double lastSampleChannelL;
	double lastSampleChannelR;
	double lastFXChannelL;
	double lastFXChannelR;
	double iirCorrectL;
	double iirCorrectR;
	double gainchase;
	double settingchase;
	double chasespeed;		
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff

    float A;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
