/* ========================================
 *  DitherMeDiskers - DitherMeDiskers.h
 *  Copyright (c) 2016 airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "DitherMeDiskers.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::DitherMeDiskers {

DitherMeDiskers::DitherMeDiskers() :
    AirwinConsolidatedBase(kNumParameters)
{
	noiseShapingL = 0.0;
	noiseShapingR = 0.0;
	lastSampleL = 0.0;
	lastSample2L = 0.0;
	lastSampleR = 0.0;
	lastSample2R = 0.0;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

DitherMeDiskers::~DitherMeDiskers() {}


void DitherMeDiskers::setParameter(VstInt32 index, float value) {
}

float DitherMeDiskers::getParameter(VstInt32 index) {
    return 0.0; //we only need to update the relevant name, this is simple to manage
}

void DitherMeDiskers::getParameterName(VstInt32 index, char *text) {
}

void DitherMeDiskers::getParameterDisplay(VstInt32 index, char *text) {
}

void DitherMeDiskers::getParameterLabel(VstInt32 index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
