/* ========================================
 *  Flutter - Flutter.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __Flutter_Flutter_H
#define __Flutter_Flutter_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::Flutter {
enum {
	kParamA = 0,
  kNumParameters = 1
}; //


class Flutter final : public AirwinConsolidatedBase
{
public:
    Flutter();
    ~Flutter();
    void processReplacing (float** inputs, float** outputs, VstInt32 sampleFrames) override;
    float getParameter(VstInt32 index) override;
    void setParameter(VstInt32 index, float value) override;
    void getParameterLabel(VstInt32 index, char *text) override;
    void getParameterName(VstInt32 index, char *text) override;
    void getParameterDisplay(VstInt32 index, char *text) override;
private:
    char _programName[kVstMaxProgNameLen + 1];
    
	double dL[1002];
	double dR[1002];
	int gcount;		
	double rateof;
	double sweep;
	double nextmax;
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff

    float A;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
