/* ========================================
 *  PowerSag2 - PowerSag2.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __PowerSag2_PowerSag2_H
#define __PowerSag2_PowerSag2_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::PowerSag2 {
enum {
	kParamA = 0,
	kParamB = 1,
  kNumParameters = 2
}; //


class PowerSag2 final : public AirwinConsolidatedBase
{
public:
    PowerSag2();
    ~PowerSag2();
    void processReplacing (float** inputs, float** outputs, VstInt32 sampleFrames) override;
    float getParameter(VstInt32 index) override;
    void setParameter(VstInt32 index, float value) override;
    void getParameterLabel(VstInt32 index, char *text) override;
    void getParameterName(VstInt32 index, char *text) override;
    void getParameterDisplay(VstInt32 index, char *text) override;
private:
    char _programName[kVstMaxProgNameLen + 1];
    
	double dL[16386];
	double dR[16386];
	double controlL;
	double controlR;
	int gcount;		
	
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff

    float A;
    float B;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
