/* ========================================
 *  Righteous4 - Righteous4.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __Righteous4_Righteous4_H
#define __Righteous4_Righteous4_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::Righteous4 {
enum {
	kParamA = 0,
	kParamB = 1,
  kNumParameters = 2
}; //


class Righteous4 final : public AirwinConsolidatedBase
{
public:
    Righteous4();
    ~Righteous4();
    void processReplacing (float** inputs, float** outputs, VstInt32 sampleFrames) override;
    float getParameter(VstInt32 index) override;
    void setParameter(VstInt32 index, float value) override;
    void getParameterLabel(VstInt32 index, char *text) override;
    void getParameterName(VstInt32 index, char *text) override;
    void getParameterDisplay(VstInt32 index, char *text) override;
private:
    char _programName[kVstMaxProgNameLen + 1];
	
	double leftSampleA;
	double leftSampleB;
	double leftSampleC;
	double leftSampleD;
	double leftSampleE;
	double leftSampleF;
	double leftSampleG;
	double leftSampleH;
	double leftSampleI;
	double leftSampleJ;
	double leftSampleK;
	double leftSampleL;
	double leftSampleM;
	double leftSampleN;
	double leftSampleO;
	double leftSampleP;
	double leftSampleQ;
	double leftSampleR;
	double leftSampleS;
	double leftSampleT;
	double leftSampleU;
	double leftSampleV;
	double leftSampleW;
	double leftSampleX;
	double leftSampleY;
	double leftSampleZ;
	
	double rightSampleA;
	double rightSampleB;
	double rightSampleC;
	double rightSampleD;
	double rightSampleE;
	double rightSampleF;
	double rightSampleG;
	double rightSampleH;
	double rightSampleI;
	double rightSampleJ;
	double rightSampleK;
	double rightSampleL;
	double rightSampleM;
	double rightSampleN;
	double rightSampleO;
	double rightSampleP;
	double rightSampleQ;
	double rightSampleR;
	double rightSampleS;
	double rightSampleT;
	double rightSampleU;
	double rightSampleV;
	double rightSampleW;
	double rightSampleX;
	double rightSampleY;
	double rightSampleZ;
	
	double bynL[13];
	double noiseShapingL;
	double lastSampleL;
	double IIRsampleL;
	double gwPrevL;
	double gwAL;
	double gwBL;
    
	double bynR[13];
	double noiseShapingR;
	double lastSampleR;
	double IIRsampleR;
	double gwPrevR;
	double gwAR;
	double gwBR;
    
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff

    float A;
    float B;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
