// SPDX-License-Identifier: Unlicense

#ifndef VERSION_H
#define VERSION_H

#define VERSION_MAJOR 0
#define VERSION_MINOR 9
#define VERSION_PATCH 2
#define VERSION_DEV //"-dev" // comment "-dev" out for releases

#define STRINGIFY(v) #v
#define VERSION_STR_FORMAT(major, minor, patch) STRINGIFY(major) "." STRINGIFY(minor) "." STRINGIFY(patch) VERSION_DEV
#define VERSION_STR VERSION_STR_FORMAT(VERSION_MAJOR, VERSION_MINOR, VERSION_PATCH)

#endif // VERSION_H
