// SPDX-License-Identifier: Unlicense

#ifndef CAMERA_H
#define CAMERA_H

#include "type.h"

namespace Camera
{
  mat4 tickCalculateViewMat(ManifestIndex selectedManifestIndex, vec3& cameraPosition, vec3& cameraTarget);
  //mat4 tickCalculateViewMat2(ManifestIndex selectedManifestIndex, vec3& cameraPosition, vec3& cameraTarget);
  mat4 tickCalculateProjectionViewMat(const i32 resolutionWidth, const i32 resolutionHeight, const mat4& viewMat);
  //mat4 tickCalculateProjectionViewMat2(const i32 resolutionWidth, const i32 resolutionHeight, const mat4& viewMat);
  void render(const mat4& viewProjectionMat, const vec3& cameraPosition, const vec3& cameraTarget);
}

#endif // CAMERA_H
