// SPDX-License-Identifier: Unlicense

#ifndef HIGHWAY2_H
#define HIGHWAY2_H

#include "type.h"

#ifdef SHR3D_RENDERER_DEVELOPMENT

// This is a sandbox to try out faster rendering techniques and performance tests.
// Rendering the highway takes up the majority of the frame time.

namespace Highway { struct Ctx; }

namespace Highway2
{
  void render(const Highway::Ctx& ctx, ManifestIndex selectedManifestIndex, const mat4& viewProjectionMat);
}

#endif // SHR3D_RENDERER_DEVELOPMENT

#endif // HIGHWAY2_H
