/* ========================================
 *  Console4Buss - Console4Buss.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __Console4Buss_Console4Buss_H
#define __Console4Buss_Console4Buss_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


// TODO: Change kFirstParameter to your first parameter and add any additional parameters.
namespace airwinconsolidated::Console4Buss {
enum {
  kConsole4BussParam = 0,
  kNumParameters = 1
};

// TODO: Add other macros or preprocessor defines here

// TODO: Change to reflect your plugin

class Console4Buss final : public AirwinConsolidatedBase
{
public:
    Console4Buss();
    ~Console4Buss();
    
    // Configuration
    
                                                                  // when the plug-in is registered with them.
    
    
    // Processing
    void processReplacing (float** inputs, float** outputs, VstInt32 sampleFrames) override;

    // Programs and parameters
   
    
    // parameter values are all 0.0f to 1.0f
    float getParameter(VstInt32 index) override;
    void setParameter(VstInt32 index, float value) override;

    void getParameterLabel(VstInt32 index, char *text) override;
    void getParameterName(VstInt32 index, char *text) override;
    void getParameterDisplay(VstInt32 index, char *text) override;
    
    // Capabilities
private:
    char _programName[kVstMaxProgNameLen + 1];
    
	uint32_t fpdL;
	uint32_t fpdR;
	double fpNShapeL;
	double fpNShapeR;
	//default stuff
	double lastSampleL;
	double lastSampleR;
	double gainchase;
	double settingchase;
	double chasespeed;
	
    float gain;



};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
