/* ========================================
 *  Console4Channel - Console4Channel.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __Console4Channel_Console4Channel_H
#define __Console4Channel_Console4Channel_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"



// TODO: Change kFirstParameter to your first parameter and add any additional parameters.
namespace airwinconsolidated::Console4Channel {
enum {
  kConsole4ChannelParam = 0,
  kNumParameters = 1
};

// TODO: Add other macros or preprocessor defines here

// TODO: Change to reflect your plugin

class Console4Channel final : public AirwinConsolidatedBase
{
public:
    Console4Channel();
    ~Console4Channel();
    
    // Configuration
    
                                                                  // when the plug-in is registered with them.
    
    
    // Processing
    void processReplacing (float** inputs, float** outputs, VstInt32 sampleFrames) override;

    // Programs and parameters
    
    
    // parameter values are all 0.0f to 1.0f
    float getParameter(VstInt32 index) override;
    void setParameter(VstInt32 index, float value) override;

    void getParameterLabel(VstInt32 index, char *text) override;
    void getParameterName(VstInt32 index, char *text) override;
    void getParameterDisplay(VstInt32 index, char *text) override;
    
    // Capabilities
private:
    char _programName[kVstMaxProgNameLen + 1];
    
	double gainchase;
	double settingchase;
	double chasespeed;
	uint32_t fpdL;
	uint32_t fpdR;

	double fpNShapeL;
	double fpNShapeR;
	//default stuff
	float gain;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
