/* ========================================
 *  ContentHideD - ContentHideD.h
 *  Copyright (c) airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "ContentHideD.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::ContentHideD {

ContentHideD::ContentHideD() :
    AirwinConsolidatedBase(kNumParameters)
{
	demotimer = 0.0;
	fpd = 1.0; while (fpd < 16386) fpd = rand()*UINT32_MAX;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

ContentHideD::~ContentHideD() {}

void ContentHideD::setParameter(VstInt32 index, float value) {
}

float ContentHideD::getParameter(VstInt32 index) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void ContentHideD::getParameterName(VstInt32 index, char *text) {
}

void ContentHideD::getParameterDisplay(VstInt32 index, char *text) {
}

void ContentHideD::getParameterLabel(VstInt32 index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
