/* ========================================
 *  DitherMeTimbers - DitherMeTimbers.h
 *  Copyright (c) 2016 airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "DitherMeTimbers.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::DitherMeTimbers {

DitherMeTimbers::DitherMeTimbers() :
    AirwinConsolidatedBase(kNumParameters)
{
	noiseShapingL = 0.0;
	noiseShapingR = 0.0;
	lastSampleL = 0.0;
	lastSample2L = 0.0;
	lastSampleR = 0.0;
	lastSample2R = 0.0;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

DitherMeTimbers::~DitherMeTimbers() {}


void DitherMeTimbers::setParameter(VstInt32 index, float value) {
}

float DitherMeTimbers::getParameter(VstInt32 index) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void DitherMeTimbers::getParameterName(VstInt32 index, char *text) {
}

void DitherMeTimbers::getParameterDisplay(VstInt32 index, char *text) {
}

void DitherMeTimbers::getParameterLabel(VstInt32 index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
