/* ========================================
 *  DoublePaul - DoublePaul.h
 *  Copyright (c) 2016 airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "DoublePaul.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::DoublePaul {

DoublePaul::DoublePaul() :
    AirwinConsolidatedBase(kNumParameters)
{
	for(int count = 0; count < 11; count++) {bL[count] = 0.0;bR[count] = 0.0;}
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

DoublePaul::~DoublePaul() {}


void DoublePaul::setParameter(VstInt32 index, float value) {
}

float DoublePaul::getParameter(VstInt32 index) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void DoublePaul::getParameterName(VstInt32 index, char *text) {
}

void DoublePaul::getParameterDisplay(VstInt32 index, char *text) {
}

void DoublePaul::getParameterLabel(VstInt32 index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
