/* ========================================
 *  LeftoMono - LeftoMono.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __LeftoMono_LeftoMono_H
#define __LeftoMono_LeftoMono_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::LeftoMono {
enum {
  kNumParameters = 0
}; //


class LeftoMono final : public AirwinConsolidatedBase
{
public:
    LeftoMono();
    ~LeftoMono();
    void processReplacing (float** inputs, float** outputs, VstInt32 sampleFrames) override;
    float getParameter(VstInt32 index) override;
    void setParameter(VstInt32 index, float value) override;
    void getParameterLabel(VstInt32 index, char *text) override;
    void getParameterName(VstInt32 index, char *text) override;
    void getParameterDisplay(VstInt32 index, char *text) override;
private:
    char _programName[kVstMaxProgNameLen + 1];
    
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
