// SPDX-License-Identifier: Unlicense

#ifndef SPIRV_H
#define SPIRV_H

#include "typedefs.h"

#ifdef SHR3D_OPENGL_SPIR_V

namespace Spirv
{
  extern const u8 anchor_frag_spv[2640];
  extern const u8 beat_frag_spv[1964];
  extern const u8 chordBox_frag_spv[3000];
  extern const u8 chordBoxArpeggio_frag_spv[3008];
  extern const u8 chordBoxDoubleStop_frag_spv[3196];
  extern const u8 chordBoxFretMute_frag_spv[4424];
  extern const u8 chordBoxHighDensity_frag_spv[3008];
  extern const u8 chordBoxHighDensityDoubleStop_frag_spv[3208];
  extern const u8 chordBoxPalmMute_frag_spv[4260];
  extern const u8 detectedChord_frag_spv[2252];
  extern const u8 detectedFret_frag_spv[1680];
  extern const u8 detectedNote_frag_spv[1640];
  extern const u8 dotInlay_frag_spv[2992];
  extern const u8 fontRainbowScreen_frag_spv[6300];
  extern const u8 fontRainbowWorld_frag_spv[6944];
  extern const u8 fontScreen_frag_spv[1448];
  extern const u8 fontWorld_frag_spv[1536];
  extern const u8 fontWorldFadeFar_frag_spv[2152];
  extern const u8 fontWorldFadeFarAndNear_frag_spv[2740];
  extern const u8 fret_vert_spv[1784];
  extern const u8 groundFret_frag_spv[2612];
  extern const u8 groundSustain_frag_spv[2484];
  extern const u8 highwayFadeFar_frag_spv[2548];
  extern const u8 highwayFadeFar_vert_spv[1448];
  extern const u8 highwayFadeFarAndNear_vert_spv[1576];
  extern const u8 noteAccent_frag_spv[1952];
  extern const u8 noteStand_frag_spv[2512];
  extern const u8 noteStandZero_frag_spv[3052];
  extern const u8 scoreScreen_frag_spv[1948];
  extern const u8 screen_frag_spv[712];
  extern const u8 screen_vert_spv[940];
  extern const u8 string_frag_spv[1508];
  extern const u8 stringWound_frag_spv[1840];
  extern const u8 sustain_frag_spv[2908];
  extern const u8 sustain_vert_spv[1544];
  extern const u8 timelineLevel_frag_spv[2840];
  extern const u8 timelineTone_frag_spv[1952];
  extern const u8 world_frag_spv[1940];
  extern const u8 world_vert_spv[1232];
}

#endif // SHR3D_OPENGL_SPIR_V

#endif // SPIRV_H
